Bug Tracker – Bug 660

Menu Sliders Are Slow

Last modified: 2010-12-10 21:03:32 UTC
Bug 660 - Menu Sliders Are Slow
Summary: Menu Sliders Are Slow
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Client (show other bugs)
Version: (old) 0.5.0 - 0.5.5
Hardware: All All
: P2 trivial
Assignee: Odamex Bug Reporter
URL:
Depends on:
Blocks: 667
  Show dependency tree
 
Reported: 2010-09-24 23:09 UTC by Brandon Del Bel
Modified: 2010-12-10 21:03 UTC (History)
2 users (show)

See Also:

Attachments

Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description Brandon Del Bel 2010-09-24 23:09:05 UTC
Sliders in the menus are really slow. The ones for color in player setup are particularly bad.
Comment 1 Mike Lightner 2010-09-24 23:20:31 UTC
The player setup menu is a bit slower than it could be, but the other sliders are fine from an expected performance standpoint.  We could do something to accelerate the movement when holding it down to alleviate the feeling of slowness.
Comment 2 Mike Wood 2010-11-20 09:10:21 UTC
Acceleration for the player color sliders was added in r2005.
Comment 3 Mike Wood 2010-11-20 09:44:28 UTC
I am reopening this because I did not take events that are not repeated into consideration. Because of this the acceleration does not work with joysticks and this is still a problem on Xbox.
Comment 4 Mike Wood 2010-11-21 00:11:57 UTC
r2009 resolves this issue on Xbox.
Comment 5 Brandon Del Bel 2010-12-10 20:59:09 UTC
Much better.
Comment 6 Mike Lightner 2010-12-10 21:03:32 UTC
I'll take that to mean it's good and marking fixed.